# Class OjThematicMap

The component WebElement for oj-thematic-map. Do not instantiate this class directly, instead, use ojThematicMap.

#### Hierarchy

- OjThematicMapBase
  - OjThematicMap

#####
Index

### Constructors

constructor

### Methods

changeHiddenCategories
changeHighlightedCategories
changeSelection
clear
click
findElement
findElements
getAnimationDuration
getAnimationOnDisplay
getAreas
getAs
getAttribute
getCssValue
getDriver
getFocusRenderer
getHiddenCategories
getHighlightMatch
getHighlightedCategories
getHoverBehavior
getHoverRenderer
getId
getInitialZooming
getIsolatedItem
getLabelDisplay
getLabelType
getLinks
getLocation
getMapProvider
getMarkerZoomBehavior
getMarkers
getMaxZoom
getPanning
getProperty
getRect
getRenderer
getSelection
getSelectionMode
getSelectionRenderer
getShadowRoot
getSize
getStyleDefaults
getTagName
getText
getTooltip
getTooltipDisplay
getTouchResponse
getTrackResize
getTranslations
getZooming
hasSize
hasVisibility
isDisplayed
isEnabled
isSelected
sendKeys
serialize
setProperty
submit
takeScreenshot
whenBusyContextReady
whenReady
buildId
equals
extractId
isId

## Constructors

### constructor

- new OjThematicMap(el, locators): OjThematicMap

- Constructor. Pass an instance of WebDriver's WebElement that represents the DOM node on which we"ll perform operations.

  #### Parameters

  - ##### el: WebElement

    The basic WebElement with which this WebElement will work.

  - ##### locators: ElementLocators

  #### Returns OjThematicMap

  Inherited from OjThematicMapBase.constructor

## Methods

### changeHiddenCategories

- changeHiddenCategories(hiddenCategories): Promise<void>

- Sets the value of `hiddenCategories` property. An array of category strings used for filtering. Data items matching categories in this array will be filtered.

  #### Parameters

  - ##### hiddenCategories: string[]

    The value to set for `hiddenCategories`

  #### Returns Promise<void>

  Inherited from OjThematicMapBase.changeHiddenCategories

### changeHighlightedCategories

- changeHighlightedCategories(highlightedCategories): Promise<void>

- Sets the value of `highlightedCategories` property. An array of category strings used for highlighting. Data items matching categories in this array will be highlighted.

  #### Parameters

  - ##### highlightedCategories: string[]

    The value to set for `highlightedCategories`

  #### Returns Promise<void>

  Inherited from OjThematicMapBase.changeHighlightedCategories

### changeSelection

- changeSelection(selection): Promise<void>

- Sets the value of `selection` property. An array of strings containing the ids of the selected data items.

  #### Parameters

  - ##### selection: any[]

    The value to set for `selection`

  #### Returns Promise<void>

  Inherited from OjThematicMapBase.changeSelection

### clear

- clear(): Promise<void>

- ### Inherit Doc

  #### Returns Promise<void>

  Inherited from OjThematicMapBase.clear

### click

- click(): Promise<void>

- ### Inherit Doc

  #### Returns Promise<void>

  Inherited from OjThematicMapBase.click

### findElement

- findElement(locator): WebElementPromise

- ### Inherit Doc

  #### Parameters

  - ##### locator: Locator

  #### Returns WebElementPromise

  Inherited from OjThematicMapBase.findElement

### findElements

- findElements(locator): Promise<WebElement[]>

- ### Inherit Doc

  #### Parameters

  - ##### locator: Locator

  #### Returns Promise<WebElement[]>

  Inherited from OjThematicMapBase.findElements

### getAnimationDuration

- getAnimationDuration(): Promise<number>

- Gets the value of `animationDuration` property. The duration of the animations in milliseconds. See the Help documentation for more information.

  #### Returns Promise<number>

  The value of `animationDuration` property.

  Inherited from OjThematicMapBase.getAnimationDuration

### getAnimationOnDisplay

- getAnimationOnDisplay(): Promise<string>

- Gets the value of `animationOnDisplay` property. Specifies the animation that is shown on initial display.

  #### Returns Promise<string>

  The value of `animationOnDisplay` property.

  Inherited from OjThematicMapBase.getAnimationOnDisplay

### getAreas

- getAreas(): Promise<Areas[]>

- Gets the value of `areas` property. An array of objects that define area data layers. Also accepts a Promise for deferred data rendering. See the Help documentation for more information.

  #### Returns Promise<Areas[]>

  The value of `areas` property.

  Inherited from OjThematicMapBase.getAreas

### getAs

- getAs(): Promise<string>

- Gets the value of `as` property. An alias for the '$current' context variable passed to slot content for the areaTemplate, markerTemplate, or linkTemplate slots.

  ### Deprecated

  Since 6.2.0. Set the alias directly on the template element using the data-oj-as attribute instead.

  #### Returns Promise<string>

  The value of `as` property.

  Inherited from OjThematicMapBase.getAs

### getAttribute

- getAttribute(attributeName): Promise<string>

- ### Inherit Doc

  #### Parameters

  - ##### attributeName: string

  #### Returns Promise<string>

  Inherited from OjThematicMapBase.getAttribute

### getCssValue

- getCssValue(cssStyleProperty): Promise<string>

- ### Inherit Doc

  #### Parameters

  - ##### cssStyleProperty: string

  #### Returns Promise<string>

  Inherited from OjThematicMapBase.getCssValue

### getDriver

- getDriver(): WebDriver

- #### Returns WebDriver

  The parent driver for this instance.

  Inherited from OjThematicMapBase.getDriver

### getFocusRenderer

- getFocusRenderer(): Promise<null>

- Gets the value of `focusRenderer` property. An optional callback function to update the data item in response to changes in keyboard focus state. The function takes a context argument, provided by the thematic map. See the Help documentation for more information.

  #### Returns Promise<null>

  The value of `focusRenderer` property.

  Inherited from OjThematicMapBase.getFocusRenderer

### getHiddenCategories

- getHiddenCategories(): Promise<string[]>

- Gets the value of `hiddenCategories` property. An array of category strings used for filtering. Data items matching categories in this array will be filtered.

  #### Returns Promise<string[]>

  The value of `hiddenCategories` property.

  Inherited from OjThematicMapBase.getHiddenCategories

### getHighlightMatch

- getHighlightMatch(): Promise<string>

- Gets the value of `highlightMatch` property. The matching condition for the highlightedCategories property. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `highlightMatch` property.

  Inherited from OjThematicMapBase.getHighlightMatch

### getHighlightedCategories

- getHighlightedCategories(): Promise<string[]>

- Gets the value of `highlightedCategories` property. An array of category strings used for highlighting. Data items matching categories in this array will be highlighted.

  #### Returns Promise<string[]>

  The value of `highlightedCategories` property.

  Inherited from OjThematicMapBase.getHighlightedCategories

### getHoverBehavior

- getHoverBehavior(): Promise<string>

- Gets the value of `hoverBehavior` property. Defines the behavior applied when hovering over data items.

  #### Returns Promise<string>

  The value of `hoverBehavior` property.

  Inherited from OjThematicMapBase.getHoverBehavior

### getHoverRenderer

- getHoverRenderer(): Promise<null>

- Gets the value of `hoverRenderer` property. An optional callback function to update the node in response to changes in hover state. The function takes a context argument, provided by the thematic map. See the Help documentation for more information.

  #### Returns Promise<null>

  The value of `hoverRenderer` property.

  Inherited from OjThematicMapBase.getHoverRenderer

### getId

- getId(): Promise<string>

- #### Returns Promise<string>

  A promise that resolves to the server-assigned opaque ID assigned to this element.

  Inherited from OjThematicMapBase.getId

### getInitialZooming

- getInitialZooming(): Promise<string>

- Gets the value of `initialZooming` property. Specifies whether the map will zoom to fit the data objects on initial render.

  #### Returns Promise<string>

  The value of `initialZooming` property.

  Inherited from OjThematicMapBase.getInitialZooming

### getIsolatedItem

- getIsolatedItem(): Promise<any>

- Gets the value of `isolatedItem` property. The id for the isolated area of this area data layer. If set, only the isolated area will be displayed.

  #### Returns Promise<any>

  The value of `isolatedItem` property.

  Inherited from OjThematicMapBase.getIsolatedItem

### getLabelDisplay

- getLabelDisplay(): Promise<string>

- Gets the value of `labelDisplay` property. Specifies how labels for this layer should be displayed.

  #### Returns Promise<string>

  The value of `labelDisplay` property.

  Inherited from OjThematicMapBase.getLabelDisplay

### getLabelType

- getLabelType(): Promise<string>

- Gets the value of `labelType` property. Specifies which type of map labels to display.

  #### Returns Promise<string>

  The value of `labelType` property.

  Inherited from OjThematicMapBase.getLabelType

### getLinks

- getLinks(): Promise<Links[]>

- Gets the value of `links` property. An array of objects that define the map links. Also accepts a Promise for deferred data rendering. See the Help documentation for more information.

  #### Returns Promise<Links[]>

  The value of `links` property.

  Inherited from OjThematicMapBase.getLinks

### getLocation

- getLocation(): Promise<ILocation>

- ### Inherit Doc

  #### Returns Promise<ILocation>

  Inherited from OjThematicMapBase.getLocation

### getMapProvider

- getMapProvider(): Promise<MapProvider>

- Gets the value of `mapProvider` property. An object defining a custom map.

  #### Returns Promise<MapProvider>

  The value of `mapProvider` property.

  Inherited from OjThematicMapBase.getMapProvider

### getMarkerZoomBehavior

- getMarkerZoomBehavior(): Promise<string>

- Gets the value of `markerZoomBehavior` property. Specifies marker behavior on zoom.

  #### Returns Promise<string>

  The value of `markerZoomBehavior` property.

  Inherited from OjThematicMapBase.getMarkerZoomBehavior

### getMarkers

- getMarkers(): Promise<Markers[]>

- Gets the value of `markers` property. An array of objects that define marker data layers. Also accepts a Promise for deferred data rendering. See the Help documentation for more information.

  #### Returns Promise<Markers[]>

  The value of `markers` property.

  Inherited from OjThematicMapBase.getMarkers

### getMaxZoom

- getMaxZoom(): Promise<number>

- Gets the value of `maxZoom` property. Specifies the maximum zoom level for this element. Must be greater than or equal to 1.0. See the Help documentation for more information.

  #### Returns Promise<number>

  The value of `maxZoom` property.

  Inherited from OjThematicMapBase.getMaxZoom

### getPanning

- getPanning(): Promise<string>

- Gets the value of `panning` property. Specifies whether element panning is allowed.

  #### Returns Promise<string>

  The value of `panning` property.

  Inherited from OjThematicMapBase.getPanning

### getProperty

- getProperty<T>(propertyName): Promise<T>

- Get a named property value from this component. This function will wait for the application's busy context to complete before attempting to get the property value.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The name of the property

  #### Returns Promise<T>

  A Promise that yields a value for the named property.

  Inherited from OjThematicMapBase.getProperty

### getRect

- getRect(): Promise<IRectangle>

- ### Inherit Doc

  #### Returns Promise<IRectangle>

  Inherited from OjThematicMapBase.getRect

### getRenderer

- getRenderer(): Promise<null>

- Gets the value of `renderer` property. An optional callback function to stamp custom SVG elements for a data layer. The function takes a context argument, provided by the thematic map. See the Help documentation for more information.

  #### Returns Promise<null>

  The value of `renderer` property.

  Inherited from OjThematicMapBase.getRenderer

### getSelection

- getSelection(): Promise<any[]>

- Gets the value of `selection` property. An array of strings containing the ids of the selected data items.

  #### Returns Promise<any[]>

  The value of `selection` property.

  Inherited from OjThematicMapBase.getSelection

### getSelectionMode

- getSelectionMode(): Promise<string>

- Gets the value of `selectionMode` property. Specifies the selection mode.

  #### Returns Promise<string>

  The value of `selectionMode` property.

  Inherited from OjThematicMapBase.getSelectionMode

### getSelectionRenderer

- getSelectionRenderer(): Promise<null>

- Gets the value of `selectionRenderer` property. An optional callback function to update the data item in response to changes in selection state. The function takes a context argument, provided by the thematic map. See the Help documentation for more information.

  #### Returns Promise<null>

  The value of `selectionRenderer` property.

  Inherited from OjThematicMapBase.getSelectionRenderer

### getShadowRoot

- getShadowRoot(): ShadowRootPromise

- Get the shadow root of the current web element.

  #### Returns ShadowRootPromise

  A promise that will be resolved with the elements shadow root or rejected with NoSuchShadowRootError

  Inherited from OjThematicMapBase.getShadowRoot

### getSize

- getSize(): Promise<ISize>

- ### Inherit Doc

  #### Returns Promise<ISize>

  Inherited from OjThematicMapBase.getSize

### getStyleDefaults

- getStyleDefaults(): Promise<StyleDefaults>

- Gets the value of `styleDefaults` property. An object defining the style defaults for this thematic map. See the Help documentation for more information.

  #### Returns Promise<StyleDefaults>

  The value of `styleDefaults` property.

  Inherited from OjThematicMapBase.getStyleDefaults

### getTagName

- getTagName(): Promise<string>

- Schedules a command to query for the tag/node name of this element.

  #### Returns Promise<string>

  A promise that will be resolved with the element's tag name.

  Inherited from OjThematicMapBase.getTagName

### getText

- getText(): Promise<string>

- ### Inherit Doc

  #### Returns Promise<string>

  Inherited from OjThematicMapBase.getText

### getTooltip

- getTooltip(): Promise<Tooltip>

- Gets the value of `tooltip` property. An object containing an optional callback function for tooltip customization.

  #### Returns Promise<Tooltip>

  The value of `tooltip` property.

  Inherited from OjThematicMapBase.getTooltip

### getTooltipDisplay

- getTooltipDisplay(): Promise<string>

- Gets the value of `tooltipDisplay` property. Specifies the tooltip behavior of the thematic map.

  #### Returns Promise<string>

  The value of `tooltipDisplay` property.

  Inherited from OjThematicMapBase.getTooltipDisplay

### getTouchResponse

- getTouchResponse(): Promise<string>

- Gets the value of `touchResponse` property. Specifies configuration options for touch and hold delays on mobile devices. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `touchResponse` property.

  Inherited from OjThematicMapBase.getTouchResponse

### getTrackResize

- getTrackResize(): Promise<string>

- Gets the value of `trackResize` property. Defines whether the element will automatically render in response to changes in size. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `trackResize` property.

  Inherited from OjThematicMapBase.getTrackResize

### getTranslations

- getTranslations(): Promise<Translations>

- Gets the value of `translations` property. A collection of translated resources from the translation bundle, or null if this component has no resources.

  #### Returns Promise<Translations>

  The value of `translations` property.

  Inherited from OjThematicMapBase.getTranslations

### getZooming

- getZooming(): Promise<string>

- Gets the value of `zooming` property. Specifies whether element zooming is allowed.

  #### Returns Promise<string>

  The value of `zooming` property.

  Inherited from OjThematicMapBase.getZooming

### `Protected` hasSize

- hasSize(): Condition<Promise<boolean>>

- Create a wait condition that is satisfied when the element's DOM has a non-zero size.

  ### Deprecated

  Since 11.0.0. Call the appropriate WebElement method to test the size of the element.

  #### Returns Condition<Promise<boolean>>

  The Condition to be used with driver.wait() that's satisfied when the element's DOM has a non-zero size.

  Inherited from OjThematicMapBase.hasSize

### `Protected` hasVisibility

- hasVisibility(): Condition<Promise<boolean>>

- Create a wait condition that is satisfid when the element is visible. The condition is satisfied when the element is displayed, as reported by #isDisplayed, and is scrolled into view. This is method is deprecated. Use WebElement.isDisplayed instead to test the display of the element, and scroll it into view if necessary.

  ### Deprecated

  #### Returns Condition<Promise<boolean>>

  Inherited from OjThematicMapBase.hasVisibility

### isDisplayed

- isDisplayed(): Promise<boolean>

- ### Inherit Doc

  #### Returns Promise<boolean>

  Inherited from OjThematicMapBase.isDisplayed

### isEnabled

- isEnabled(): Promise<boolean>

- ### Inherit Doc

  #### Returns Promise<boolean>

  Inherited from OjThematicMapBase.isEnabled

### isSelected

- isSelected(): Promise<boolean>

- ### Inherit Doc

  #### Returns Promise<boolean>

  Inherited from OjThematicMapBase.isSelected

### sendKeys

- sendKeys(...varArgs): Promise<void>

- ### Inherit Doc

  #### Parameters

  - ##### `Rest` ...varArgs: (string | number | Promise<string | number>)[]

  #### Returns Promise<void>

  Inherited from OjThematicMapBase.sendKeys

### serialize

- serialize(): Promise<IWebElementId>

- #### Returns Promise<IWebElementId>

  Inherited from OjThematicMapBase.serialize

### `Protected` setProperty

- setProperty<T>(propertyName, value): Promise<void>

- Set a property value on the remote element. This function first waits for the BusyContext to clear before setting the property, then after setting, waits again to ensure that no additional busy states were created due to the property setting.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The property name to set

  - ##### value: T

    The value to set for the property

  #### Returns Promise<void>

  A Promise which resolves when the remote property has been set to the value. Any value returned from the call to set the remote property is returned in the Promise.

  Inherited from OjThematicMapBase.setProperty

### submit

- submit(): Promise<void>

- ### Inherit Doc

  #### Returns Promise<void>

  Inherited from OjThematicMapBase.submit

### takeScreenshot

- takeScreenshot(optScroll?): Promise<string>

- ### Inherit Doc

  #### Parameters

  - ##### `Optional` optScroll: boolean

  #### Returns Promise<string>

  Inherited from OjThematicMapBase.takeScreenshot

### whenBusyContextReady

- whenBusyContextReady(): Promise<void>

- Returns a Promise that is resolved when the application's busy state reports ready. This method checks only that the application's busy context is ready, and not that the DOM element is actually displayed or has a physical size, such as is the case with #whenReady. Operations which are read-only in nature should call this method prior to execution.

  #### Returns Promise<void>

  A Promise which is resolved when the page's busy state is ready.

  Inherited from OjThematicMapBase.whenBusyContextReady

### whenReady

- whenReady(): Promise<void>

- Returns a Promise that is resolved when the element is ready for interaction--it is visible, has a size, and the app's busy context is ready. Operations on the DOM which rely on its physical location and size to be in a "ready" state should use this command, such as clicking, sending keys, locating child elements, and so on.

  #### Returns Promise<void>

  A Promise that's resolved when all conditions are met.

  Inherited from OjThematicMapBase.whenReady

### `Static` buildId

- buildId(id, opt_noLegacy?): IWebElementId

- #### Parameters

  - ##### id: string

    The raw ID.

  - ##### `Optional` opt_noLegacy: boolean

    Whether to exclude the legacy element key.

  #### Returns IWebElementId

  The element ID for use with WebDriver's wire protocol.

  Inherited from OjThematicMapBase.buildId

### `Static` equals

- equals(a, b): Promise<boolean>

- Compares two WebElements for equality.

  #### Parameters

  - ##### a: WebElement

    A WebElement.

  - ##### b: WebElement

    A WebElement.

  #### Returns Promise<boolean>

  A promise that will be resolved to whether the two WebElements are equal.

  Inherited from OjThematicMapBase.equals

### `Static` extractId

- extractId(obj): string

- Extracts the encoded WebElement ID from the object.

  ### Throws

  if the object is not a valid encoded ID.

  #### Parameters

  - ##### obj: IWebElementId

    The object to extract the ID from.

  #### Returns string

  the extracted ID.

  Inherited from OjThematicMapBase.extractId

### `Static` isId

- isId(obj): boolean

- #### Parameters

  - ##### obj: IWebElementId

    the object to test.

  #### Returns boolean

  whether the object is a valid encoded WebElement ID.

  Inherited from OjThematicMapBase.isId

Generated using TypeDoc